## libpqxx 6.2.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7)
project(libpqxx)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAK_CXX_EXTENSIONS OFF)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

option(BUILD_TEST "Build all test cases" ON)

include(config)

find_package(PostgreSQL REQUIRED)
include_directories(
  ${CMAKE_SOURCE_DIR}/include
  ${PostgreSQL_INCLUDE_DIRS}
)
link_libraries(${PostgreSQL_LIBRARIES})

add_subdirectory(src)
if (BUILD_TEST)
  add_subdirectory(test)
endif ()

=== src/CMakeLists.txt ===
file(GLOB CXX_SOURCES "*.cxx")

# Build a shared library
add_library(pqxx_shared SHARED ${CXX_SOURCES})
target_compile_definitions(pqxx_shared PUBLIC -DPQXX_SHARED)
set_target_properties(pqxx_shared PROPERTIES OUTPUT_NAME pqxx)

# Build a static libary
add_library(pqxx_static STATIC ${CXX_SOURCES})
set_target_properties(pqxx_static PROPERTIES OUTPUT_NAME pqxx)

=== test/CMakeLists.txt ===
enable_testing()

file(GLOB TEST_SOURCES test*.cxx runner.cxx)

add_executable(runner ${TEST_SOURCES})
target_link_libraries(runner PUBLIC pqxx_shared)
add_test(NAME runner WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} COMMAND runner)

add_subdirectory(unit)

=== test/unit/CMakeLists.txt ===
file(GLOB UNIT_TEST_SOURCES *.cxx)

add_executable(unit_runner ${UNIT_TEST_SOURCES})
target_link_libraries(unit_runner PUBLIC pqxx_shared)
add_test(NAME unit_runner WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} COMMAND unit_runner)

## libpqxx 4.0.1+dfsg

=== debian/changelog ===
libpqxx (4.0.1+dfsg-5) unstable; urgency=medium

  * d/rules fix splitting configure target into arch & indep, big thx to
    Bálint Réczey for patch doing it (Closes: #798402)
  * fixing auto_build-indep to build documentation
  * putting symbols into d/*.symbols file

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sat, 12 Sep 2015 21:07:14 +0100

libpqxx (4.0.1+dfsg-4) unstable; urgency=medium

  * Bumping up standars version to 3.9.6
  * Conforming with Short Name for License specification in d/copyright
  * Fixed source-contains-prebuilt-doxygen-documentation by removing all of
    the doxygen generated docs and recreating it at build time
  * Changing package name for gcc-5 (Closes: #795866, #797865)
  * Fixing d/watch file to use passive ftp

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 06 Sep 2015 07:52:13 +0100

libpqxx (4.0.1+dfsg-3) unstable; urgency=low

  * Removing all minified js files, changing debian version into dfsg
    (Closes: #729785)
  * Adding missing credits in d/copyright
  * Removing unsed d/libpqxx-doc.postinst
  * Switching autotools-dev to dh-autoreconf (Closes: 735954), thx to Logan
    Rosen for the patch
  * Closing (LP: #370913)
  * Added source.lintian-overrides
  * Bumping up standars version to 3.9.5

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 19 Jan 2014 20:04:55 +0000

libpqxx (4.0.1-2) unstable; urgency=low

  * Created dummy transition package for libpqxx3-dev
  * Removing lintian overrides, not in use anymore
  * Dropped the soversion from the -doc and -dbg package too.

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 14 Nov 2013 20:03:43 +0000

libpqxx (4.0.1-1) unstable; urgency=low

  * New upstream
    - Improvements for clang compilation
    - Fixes for BSD compilation
    - Compatibility for OS X
    - Bug fixes
  * Added python as a build dep for autogenerating configs (regarding upstream
    changes)
  * Added lintian override for symlink in libpqxx-4.0 package for libpqxx.so ->
    libpqxx-4.0.so
  * Fixing autotools bug (Closes: #727432)
  * Added build dep on autotools-dev
  * Fixed vcs urls
  * Standards-version bump to 3.9.4

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Wed, 30 Oct 2013 18:38:26 +0100

libpqxx (4.0-2) unstable; urgency=low

  * Upload to unstable
  * Added README.source describing workflaw for working with this package

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 14 Jun 2012 14:08:21 +0100

libpqxx (4.0-1) experimental; urgency=low

  [ Marcin Kulisz]
  * New upstream, slightly changed API
  * d/control:
    - renaming packages to libpqxx-4.0 and libpqxx4 (changed ABI)
  * removing useless quilt patches
  * d/copyright bump to DEP5
  * Closing (LP: 842873)
  * Implementing propper URL for Copyright format 1.0 (DEP-5)
  * Closing (Closes: #672021) as not applicable for v4.0
  * Standards version bump to 3.9.3

  [ Matthijs Möhlmann ]
  * Debhelper level 9, adjust the control file.
  * Fix the install files and update to multiarch.

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 10 May 2012 20:49:13 +0100

libpqxx3 (3.1-1) unstable; urgency=low

  [ Marcin Kulisz ]
  * Adopting package (Closes: #618703)
  * d/rules total rewrite
  * adding symbols file
  * fixing all lintian issues

  [ Matthijs Möhlmann ]
  * New upstream version (Closes: #622728)
  * Update copyright file and include BSD license.
  * Switch to dpkg-source 3.0 (quilt) format
  * Empty the dependency_lib line in the .la file. (Closes: #622480)
  * Use debhelper 8

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Mon, 28 Nov 2011 20:52:27 +0000

libpqxx3 (3.0.2-2) unstable; urgency=low

  * Orphaned the package.
  * debian/control:
    - Added quilt to Build-Depends.
    - Bumped Standards-Version to 3.9.2, no changes needed.
  * debian/rules:
    - Use quilt.
  * debian/patches:
    - New patch 100-fix-g++4.6-compilation.patch (provided by
      Matthias Klose <doko@ubuntu.com>). (Closes: #624876)
  * debian/README.source:
    - Added with standard instructions how to use quilt.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 03 May 2011 20:00:49 +0300

libpqxx3 (3.0.2-1) unstable; urgency=low

  * New upstream bugfix-only release.
  * debian/control:
    - Bumped Standards-Version to 3.8.3, no changes needed.
    - Added {misc:Depends} to dependencies of binary packages.
    - Updated my mail address.
  * debian/libpqxx3-doc.install:
    - Added test headers to allow compiling examples. (Closes: 539814)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 28 Sep 2009 01:13:16 +0300

libpqxx3 (3.0.0-3) unstable; urgency=medium

  * debian/control:
    - Make libpqxx3-dev also replace the libpqxx-dev to easy upgrade path.
      (Closes: #520171)
    - Make libpqxx3-doc conflict with and replace libpqxx-doc. Fixes a RC bug,
      so urgency is set to medium. (Closes: #520169)
    - Binary package 'libpqxx-3.0-dbg' is now in 'debug' section.
    - Removed duplicated 'Section' tag for 'libpqxx-3.0', as suggested by
      lintian.
    - Bump 'Standards-Version' to 3.8.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 19 Mar 2009 19:50:47 +0200

libpqxx3 (3.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 01 Mar 2009 09:11:59 +0200

libpqxx3 (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switched source package from libpqxx to libpqxx3, allowing both
    libpqxx v2 and v3 being installed simultaneously.
  * debian/control:
    - Added 'Vcs-Git' and 'Vcs-Browser' fields.
    - Make libpqxx3-dev conflict with libpqxx-dev, they contain the same
      include paths.
  * debian/rules: 
    - Moved renewing config.sub and config.guess code to 'autoconfigure'
      target. Added deleting of these files in 'clean' target.
    - Don't parse changelog for library version, it changes rarely anyway.
    - Deal better with config/config.{sub,guess} files in 'clean' and
      'autoconfigure' targets.


=== debian/control ===
Source: libpqxx
Section: libs
Priority: optional
Maintainer: Marcin Kulisz (kuLa) <debian@kulisz.net>
Build-Depends: debhelper (>> 9.0.0), libpq-dev (>= 8.0.3), chrpath, libtool,
 python-all, dh-autoreconf
Build-Depends-Indep: doxygen, xmlto
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/libpqxx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpqxx.git;a=summary
Homepage: http://pqxx.org

Package: libpqxx-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libpq-dev (>= 8.0.3-1),
 libpqxx-4.0v5 (= ${binary:Version}), pkg-config
Suggests: libpqxx4-doc
Conflicts: libpqxx4-dev
Breaks: libpqxx3-dev (<< 4)
Replaces: libpqxx3-dev (<< 4), libpqxx4-dev
Description: C++ library to connect to PostgreSQL (development files)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains header files for linking against libpqxx. Obsoletes
 the libpqpp-dev package.

Package: libpqxx3-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, libpqxx-dev
Description: Transitional dummy package for libpqxx-dev
 This package is a transition dummy package which can be safely removed.
 .
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.

Package: libpqxx-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libjs-jquery
Suggests: libpqxx-dev (>= ${binary:Version})
Conflicts: libpqxx3-doc, libpqxx4-doc
Replaces: libpqxx3-doc, libpqxx4-doc
Description: C++ library to connect to PostgreSQL (documentation)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains documentation and examples.

Package: libpqxx-4.0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpqxx-4.0
Replaces: libpqxx-4.0
Description: C++ library to connect to PostgreSQL
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end. The database back-end can
 be local or it may be on another machine, accessed via
 TCP/IP. This package obsoletes the libpqpp package.

Package: libpqxx-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libpqxx-4.0v5 (= ${binary:Version})
Conflicts: libpqxx4-dbg
Replaces: libpqxx4-dbg
Description: C++ library to connect to PostgreSQL (debugging symbols)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains debugging symbols for the libpqxx library. It is usually
 needed to get a useful backtrace when applications using the libpqxx library
 crashes.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export LIBRARY_VERSION=4.0

%:
	dh $@ --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-shared --disable-documentation

override_dh_auto_configure-indep:
	dh_auto_configure -- --enable-shared --enable-documentation

override_dh_auto_build-indep:
	cd $(CURDIR)/doc/ && make && doxygen

override_dh_auto_test:
	@echo "not doing any testing"

override_dh_install:
	dh_install --exclude=jquery.js
	## cleaning up dependency_libs filed in *.la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(LIBRARY_VERSION)

override_dh_strip:
	dh_strip --dbg-package=libpqxx-dbg

get-orig-source:
	uscan --force --verbose --no-symlink

=== debian/watch ===
version=3
opts="pasv,dversionmangle=s/\+dfsg//" \
ftp://pqxx.org/software/libpqxx/libpqxx-(.+)\.tar\.gz \
  debian sh debian/repack.sh

## libpqxx 4.0.1+dfsg1

=== debian/changelog ===
libpqxx (4.0.1+dfsg1-6) unstable; urgency=medium

  [ Marcin Kulisz (kuLa) ]
  * Switchin Vcs-* links in d/control to secure version
  * Removing repacking, unwanted files removal is +
  * Bumping up Standards-Version to 3.9.8
  * Switching to default dbgsym generation
  * Reproducible builds d/rules adjustment
  * New Debian version string due to repack script removal and sizes
    difference between (in archive source and new one [27 bytes])

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Tue, 19 Jul 2016 10:15:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>> 9.0.0), libpq-dev (>= 8.0.3), chrpath, libtool,
  python-all, dh-autoreconf
 Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libpqxx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpqxx.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libpqxx.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libpqxx.git;a=summary
 Homepage: http://pqxx.org
 
 Package: libpqxx-dev
@@ -63,19 +63,3 @@
  the PostgreSQL database back-end. The database back-end can
  be local or it may be on another machine, accessed via
  TCP/IP. This package obsoletes the libpqpp package.
-
-Package: libpqxx-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libpqxx-4.0v5 (= ${binary:Version})
-Conflicts: libpqxx4-dbg
-Replaces: libpqxx4-dbg
-Description: C++ library to connect to PostgreSQL (debugging symbols)
- C++ library to enable user programs to communicate with
- the PostgreSQL database back-end.
- .
- This package contains debugging symbols for the libpqxx library. It is usually
- needed to get a useful backtrace when applications using the libpqxx library
- crashes.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
 
-#export DH_VERBOSE=1
+# Fixing reproducible builds
+LC_ALL := C.UTF-8
+export LC_ALL
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -32,9 +35,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(LIBRARY_VERSION)
-
-override_dh_strip:
-	dh_strip --dbg-package=libpqxx-dbg
-
-get-orig-source:
-	uscan --force --verbose --no-symlink

=== debian/watch ===
version=3

opts=repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
  ftp://pqxx.org/software/libpqxx/libpqxx-(.+)\.tar\.gz

## libpqxx 4.0.1+dfsg3

=== debian/changelog ===
libpqxx (4.0.1+dfsg3-8) unstable; urgency=medium

  * Added patch fixing configure.ac to work with stricter sed (Closes: #851022)
  * Current work attribution update to d/copyright

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 15 Jan 2017 16:58:57 +0000

libpqxx (4.0.1+dfsg2-7) unstable; urgency=medium

  * Added multiarch tag to docs package
  * d/control build-deps and deps 1 per line
  * Upstream is not providing FTP any more switching d/watch to http
  * Debian patch for spelling error caught by lintian
  * Adding hardening flags to the d/rules

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Fri, 28 Oct 2016 15:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Kulisz (kuLa) <debian@kulisz.net>
-Build-Depends: debhelper (>> 9.0.0), libpq-dev (>= 8.0.3), chrpath, libtool,
- python-all, dh-autoreconf
+Build-Depends: debhelper (>> 9.0.0),
+ libpq-dev (>= 8.0.3),
+ chrpath,
+ libtool,
+ python-all,
+ dh-autoreconf
 Build-Depends-Indep: doxygen, xmlto
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libpqxx.git
@@ -14,8 +18,10 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libpq-dev (>= 8.0.3-1),
- libpqxx-4.0v5 (= ${binary:Version}), pkg-config
+Depends: ${misc:Depends},
+ pkg-config,
+ libpq-dev (>= 8.0.3-1),
+ libpqxx-4.0v5 (= ${binary:Version})
 Suggests: libpqxx4-doc
 Conflicts: libpqxx4-dev
 Breaks: libpqxx3-dev (<< 4)
@@ -31,7 +37,8 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, libpqxx-dev
+Depends: ${misc:Depends},
+ libpqxx-dev
 Description: Transitional dummy package for libpqxx-dev
  This package is a transition dummy package which can be safely removed.
  .
@@ -41,8 +48,10 @@
 Package: libpqxx-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends},
+ libjs-jquery
 Suggests: libpqxx-dev (>= ${binary:Version})
 Conflicts: libpqxx3-doc, libpqxx4-doc
 Replaces: libpqxx3-doc, libpqxx4-doc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+# Full hardening ON
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # Fixing reproducible builds
 LC_ALL := C.UTF-8
 export LC_ALL

=== debian/watch ===
version=3

opts=repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i \
  http://pqxx.org/download/software/libpqxx/libpqxx-(.+)\.tar\.gz

## libpqxx 6.2.4

=== debian/changelog ===
libpqxx (6.2.4-4) unstable; urgency=medium

  * Added Breaks+Replaces to fix upgrades from libpqxx6 to libpqxx-6.2
    (Closes: 905146)

 -- Marcin Kulisz <debian@kulisz.net>  Tue, 14 Aug 2018 20:50:39 +0100

libpqxx (6.2.4-3) unstable; urgency=medium

  * Added autopkgtest
  * Removing unused links file
  * Renaming bin package to match SONAME (Closes: 904942)

 -- Marcin Kulisz <debian@kulisz.net>  Mon, 30 Jul 2018 19:10:25 +0100

libpqxx (6.2.4-2) unstable; urgency=medium

  * Standards Version bump to 4.1.5
  * Fixinig dbg symbols (Closes: #904942)

 -- Marcin Kulisz <debian@kulisz.net>  Mon, 30 Jul 2018 06:47:45 +0100

libpqxx (6.2.4-1) unstable; urgency=medium

  * New upstream 6.2.4 (Closes: #903473)
    - fixes for non-ASCII chars
    - new macro and some fixes to help with build process
    - check for compatibility between lib and headers
  * Lintian override for 6.2 soname
  * Removal of autogenerated Sphinx files
  * Using TSL for GNU lincences in d/copyright

 -- Marcin Kulisz <debian@kulisz.net>  Sun, 29 Jul 2018 13:05:18 +0100

libpqxx (6.1.0-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New d/control
  * Moving upstream project to github: adjusting d/copyright
  * Moving upstream project to github: adjusting d/watch
  * Bumping up SV
  * New upstream version 6.1.0+dfsg
  * Switching package to new major upstream version (6.1.0)
  * Removing source patches those are not needed anymore
  * No more upstream changelog
  * Removing transitional package libpqxx3-dev (Closes: #878657)
  * Added Upstream metadata
  * Added links config for binares containing link to upstream changelog
  * d/README.source update
  * Added lintian warning override for main bianry package
  * d/control removed references to 4.0v5
  * Standards version bump to 4.1.4
  * JQuery is not needed anymore

 -- Marcin Kulisz <debian@kulisz.net>  Sun, 24 Jun 2018 21:33:42 +0100

=== debian/control ===
Source: libpqxx
Section: libs
Priority: optional
Maintainer: Marcin Kulisz <debian@kulisz.net>
Build-Depends: debhelper (>= 11.0),
 libpq-dev (>= 8.0.3),
 chrpath,
 libtool,
 python-all,
 autoconf-archive
Build-Depends-Indep: doxygen, xmlto
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
Vcs-Browser: https://salsa.debian.org/debian/libpqxx
Homepage: https://github.com/jtv/libpqxx/

Package: libpqxx-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 pkg-config,
 libpq-dev (>= 8.0.3-1),
 libpqxx-6.2 (= ${binary:Version})
Suggests: libpqxx-doc
Description: C++ library to connect to PostgreSQL (development files)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains header files for linking against libpqxx. Obsoletes
 the libpqpp-dev package.

Package: libpqxx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
Suggests: libpqxx-dev (>= ${binary:Version})
Description: C++ library to connect to PostgreSQL (documentation)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains documentation and examples.

Package: libpqxx-6.2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libpqxx6 (>= 6.2)
Breaks: libpqxx6 (>= 6.2)
Description: C++ library to connect to PostgreSQL
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end. The database back-end can
 be local or it may be on another machine, accessed via
 TCP/IP. This package obsoletes the libpqpp package.

## libpqxx 6.2.5

=== debian/changelog ===
libpqxx (6.2.5-1) unstable; urgency=medium

  * New upstream 6.2.5
    - Removed deprecated pqxx-config
    - Reduce setup code for string conversions, hopefully improving speed
    - Allow nul bytes in tablereader
    - Support defining string conversions for enum types
    - Fixed const/pure attributes warning in gcc8
  * Standards version bump to 4.3.0

 -- Marcin Kulisz <debian@kulisz.net>  Sat, 29 Dec 2018 10:06:09 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-all,
  autoconf-archive
 Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Full hardening ON
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Fixing reproducible builds
LC_ALL := C.UTF-8
export LC_ALL

# This has to be exported to make some magic below work.
export DH_OPTIONS

export LIBRARY_VERSION=6.2

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-shared --disable-documentation

override_dh_auto_configure-indep:
	dh_auto_configure -- --enable-shared

override_dh_auto_build-indep:
	cd $(CURDIR)/doc/ && make && doxygen
	find -type f -iname "*.md5" -delete

override_dh_auto_test:
	@echo "not doing any testing"

override_dh_install:
	## cleaning up dependency_libs filed in *.la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(LIBRARY_VERSION)

=== debian/tests/control ===
Tests: import
Depends: @ , build-essential, libpq-dev

## libpqxx 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7)

file(READ VERSION VER_FILE_CONTENT)
string(STRIP ${VER_FILE_CONTENT} VER_FILE_CONTENT)

project(libpqxx VERSION ${VER_FILE_CONTENT} LANGUAGES CXX)

if(NOT "${CMAKE_CXX_STANDARD}")
    set(CMAKE_CXX_STANDARD 11)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

if(NOT SKIP_BUILD_TEST)
	option(BUILD_TEST "Build all test cases" ON)
endif()

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(config)

add_subdirectory(src)
add_subdirectory(include)
if (BUILD_TEST)
  add_subdirectory(test)
endif ()

# installation
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/libpqxx-config-version.cmake"
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
)
install(FILES cmake/libpqxx-config.cmake "${CMAKE_CURRENT_BINARY_DIR}/libpqxx-config-version.cmake"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libpqxx
)
install(
  EXPORT libpqxx-targets
  NAMESPACE libpqxx::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libpqxx
)
# Build tree export
export(EXPORT libpqxx-targets
  NAMESPACE libpqxx::
  FILE ${CMAKE_CURRENT_BINARY_DIR}/libpqxx-targets.cmake
)
configure_file(
  cmake/libpqxx-config.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/libpqxx-config.cmake
  COPYONLY
)
# Package generation
set(CPACK_GENERATOR TGZ)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
include(CPack)

=== include/CMakeLists.txt ===
################################################################################
# AUTOMATICALLY GENERATED FILE -- DO NOT EDIT.
#
# This file is generated automatically by libpqxx's template2mak.py script, and
# will be rewritten from time to time.
#
# If you modify this file, chances are your modifications will be lost.
#
# The template2mak.py script should be available in the tools directory of the
# libpqxx source archive.
#
# Generated from template './include/CMakeLists.txt.template'.
################################################################################
install(
    DIRECTORY pqxx "${PROJECT_BINARY_DIR}/include/pqxx"
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    FILES_MATCHING
        PATTERN array.hxx
        PATTERN array
        PATTERN basic_connection.hxx
        PATTERN basic_connection
        PATTERN binarystring.hxx
        PATTERN binarystring
        PATTERN compiler-internal-post.hxx
        PATTERN compiler-internal-post
        PATTERN compiler-internal-pre.hxx
        PATTERN compiler-internal-pre
        PATTERN compiler-internal.hxx
        PATTERN compiler-internal
        PATTERN compiler-public.hxx
        PATTERN compiler-public
        PATTERN connection.hxx
        PATTERN connection
        PATTERN connection_base.hxx
        PATTERN connection_base
        PATTERN connectionpolicy.hxx
        PATTERN connectionpolicy
        PATTERN cursor.hxx
        PATTERN cursor
        PATTERN dbtransaction.hxx
        PATTERN dbtransaction
        PATTERN errorhandler.hxx
        PATTERN errorhandler
        PATTERN except.hxx
        PATTERN except
        PATTERN field.hxx
        PATTERN field
        PATTERN isolation.hxx
        PATTERN isolation
        PATTERN largeobject.hxx
        PATTERN largeobject
        PATTERN nontransaction.hxx
        PATTERN nontransaction
        PATTERN notification.hxx
        PATTERN notification
        PATTERN pipeline.hxx
        PATTERN pipeline
        PATTERN prepared_statement.hxx
        PATTERN prepared_statement
        PATTERN result.hxx
        PATTERN result
        PATTERN result_iterator.hxx
        PATTERN result_iterator
        PATTERN robusttransaction.hxx
        PATTERN robusttransaction
        PATTERN row.hxx
        PATTERN row
        PATTERN strconv.hxx
        PATTERN strconv
        PATTERN stream_base.hxx
        PATTERN stream_base
        PATTERN stream_from.hxx
        PATTERN stream_from
        PATTERN stream_to.hxx
        PATTERN stream_to
        PATTERN subtransaction.hxx
        PATTERN subtransaction
        PATTERN tablereader.hxx
        PATTERN tablereader
        PATTERN tablestream.hxx
        PATTERN tablestream
        PATTERN tablewriter.hxx
        PATTERN tablewriter
        PATTERN transaction.hxx
        PATTERN transaction
        PATTERN transaction_base.hxx
        PATTERN transaction_base
        PATTERN transactor.hxx
        PATTERN transactor
        PATTERN types.hxx
        PATTERN types
        PATTERN util.hxx
        PATTERN util
        PATTERN version.hxx
        PATTERN version
        PATTERN internal/callgate.hxx
        PATTERN internal/encoding_group.hxx
        PATTERN internal/encodings.hxx
        PATTERN internal/ignore-deprecated-post.hxx
        PATTERN internal/ignore-deprecated-pre.hxx
        PATTERN internal/libpq-forward.hxx
        PATTERN internal/sql_cursor.hxx
        PATTERN internal/statement_parameters.hxx
        PATTERN internal/type_utils.hxx
        PATTERN internal/gates/connection-dbtransaction.hxx
        PATTERN internal/gates/connection-errorhandler.hxx
        PATTERN internal/gates/connection-largeobject.hxx
        PATTERN internal/gates/connection-notification_receiver.hxx
        PATTERN internal/gates/connection-parameterized_invocation.hxx
        PATTERN internal/gates/connection-pipeline.hxx
        PATTERN internal/gates/connection-prepare-invocation.hxx
        PATTERN internal/gates/connection-reactivation_avoidance_exemption.hxx
        PATTERN internal/gates/connection-sql_cursor.hxx
        PATTERN internal/gates/connection-transaction.hxx
        PATTERN internal/gates/errorhandler-connection.hxx
        PATTERN internal/gates/icursor_iterator-icursorstream.hxx
        PATTERN internal/gates/icursorstream-icursor_iterator.hxx
        PATTERN internal/gates/result-connection.hxx
        PATTERN internal/gates/result-creation.hxx
        PATTERN internal/gates/result-row.hxx
        PATTERN internal/gates/result-sql_cursor.hxx
        PATTERN internal/gates/transaction-sql_cursor.hxx
        PATTERN internal/gates/transaction-stream_from.hxx
        PATTERN internal/gates/transaction-stream_to.hxx
        PATTERN internal/gates/transaction-subtransaction.hxx
        PATTERN internal/gates/transaction-tablereader.hxx
        PATTERN internal/gates/transaction-tablewriter.hxx
        PATTERN internal/gates/transaction-transactionfocus.hxx
        PATTERN config-public-compiler.h
        PATTERN pqxx
)

install(
    DIRECTORY pqxx/doc/
    DESTINATION ${CMAKE_INSTALL_DOCDIR}
    FILES_MATCHING
        PATTERN README.md
        PATTERN accessing-results.md
        PATTERN escaping.md
        PATTERN getting-started.md
        PATTERN mainpage.md
        PATTERN performance.md
        PATTERN prepared-statement.md
        PATTERN streams.md
        PATTERN thread-safety.md
)

=== src/CMakeLists.txt ===
################################################################################
# AUTOMATICALLY GENERATED FILE -- DO NOT EDIT.
#
# This file is generated automatically by libpqxx's template2mak.py script, and
# will be rewritten from time to time.
#
# If you modify this file, chances are your modifications will be lost.
#
# The template2mak.py script should be available in the tools directory of the
# libpqxx source archive.
#
# Generated from template './src/CMakeLists.txt.template'.
################################################################################
if(NOT PostgreSQL_INCLUDE_DIRS)
        find_package(PostgreSQL REQUIRED)
endif()

# When setting up the include paths, mention the binary tree's include
# directory *before* the source tree's include directory.  If the source tree
# happens to contain autoconf-generated config headers, we should still prefer
# the ones in the binary tree.
macro(library_target_setup tgt)
    target_include_directories(${tgt}
        PUBLIC
            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
        PRIVATE
            ${PostgreSQL_INCLUDE_DIRS}
    )
    target_link_libraries(${tgt} PRIVATE ${PostgreSQL_LIBRARIES})
    if(WIN32)
        target_link_libraries(${tgt} PUBLIC wsock32 ws2_32)
    endif()
    install(TARGETS ${tgt} EXPORT libpqxx-targets
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
endmacro()

# TODO: We're giving exact filenames here.  Don't pretend they're globs.
file(
    GLOB CXX_SOURCES
    array.cxx
    binarystring.cxx
    connection.cxx
    connection_base.cxx
    cursor.cxx
    dbtransaction.cxx
    encodings.cxx
    errorhandler.cxx
    except.cxx
    field.cxx
    largeobject.cxx
    nontransaction.cxx
    notification.cxx
    pipeline.cxx
    prepared_statement.cxx
    result.cxx
    robusttransaction.cxx
    row.cxx
    sql_cursor.cxx
    statement_parameters.cxx
    strconv.cxx
    stream_base.cxx
    stream_from.cxx
    stream_to.cxx
    subtransaction.cxx
    tablereader.cxx
    tablestream.cxx
    tablewriter.cxx
    transaction.cxx
    transaction_base.cxx
    util.cxx
    version.cxx
)

if(NOT SKIP_PQXX_SHARED)
    set(CXX_SHARED_EXTRA_SOURCE)
    if(WIN32)
        # Add extra source
        list(APPEND CXX_SHARED_EXTRA_SOURCE "${PROJECT_SOURCE_DIR}/win32/libpqxx.cxx")
    endif()

	# Build a shared library
	add_library(pqxx_shared SHARED ${CXX_SOURCES} ${CXX_SHARED_EXTRA_SOURCE})
	target_compile_definitions(pqxx_shared PUBLIC -DPQXX_SHARED)
	set_target_properties(pqxx_shared PROPERTIES OUTPUT_NAME pqxx)
	library_target_setup(pqxx_shared)
endif()

if(NOT SKIP_PQXX_STATIC)
	# Build a static libary
	add_library(pqxx_static STATIC ${CXX_SOURCES})
	set_target_properties(pqxx_static PROPERTIES OUTPUT_NAME pqxx)
	library_target_setup(pqxx_static)
endif()

=== test/CMakeLists.txt ===
################################################################################
# AUTOMATICALLY GENERATED FILE -- DO NOT EDIT.
#
# This file is generated automatically by libpqxx's template2mak.py script, and
# will be rewritten from time to time.
#
# If you modify this file, chances are your modifications will be lost.
#
# The template2mak.py script should be available in the tools directory of the
# libpqxx source archive.
#
# Generated from template './test/CMakeLists.txt.template'.
################################################################################
enable_testing()

# TODO: We're giving exact filenames here.  Don't pretend they're globs.
file(
    GLOB TEST_SOURCES
    test00.cxx
    test01.cxx
    test02.cxx
    test04.cxx
    test07.cxx
    test10.cxx
    test11.cxx
    test12.cxx
    test13.cxx
    test14.cxx
    test15.cxx
    test16.cxx
    test17.cxx
    test18.cxx
    test20.cxx
    test21.cxx
    test23.cxx
    test26.cxx
    test29.cxx
    test30.cxx
    test31.cxx
    test32.cxx
    test33.cxx
    test34.cxx
    test35.cxx
    test36.cxx
    test37.cxx
    test39.cxx
    test46.cxx
    test48.cxx
    test49.cxx
    test50.cxx
    test51.cxx
    test52.cxx
    test53.cxx
    test54.cxx
    test55.cxx
    test56.cxx
    test57.cxx
    test58.cxx
    test59.cxx
    test60.cxx
    test61.cxx
    test62.cxx
    test63.cxx
    test64.cxx
    test65.cxx
    test66.cxx
    test67.cxx
    test69.cxx
    test70.cxx
    test71.cxx
    test72.cxx
    test73.cxx
    test74.cxx
    test75.cxx
    test76.cxx
    test77.cxx
    test78.cxx
    test79.cxx
    test82.cxx
    test84.cxx
    test86.cxx
    test87.cxx
    test88.cxx
    test89.cxx
    test90.cxx
    test92.cxx
    test93.cxx
    runner.cxx
)

add_executable(runner ${TEST_SOURCES})
target_link_libraries(runner PUBLIC pqxx_shared)
add_test(NAME runner WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} COMMAND runner)

add_subdirectory(unit)

=== test/unit/CMakeLists.txt ===
################################################################################
# AUTOMATICALLY GENERATED FILE -- DO NOT EDIT.
#
# This file is generated automatically by libpqxx's template2mak.py script, and
# will be rewritten from time to time.
#
# If you modify this file, chances are your modifications will be lost.
#
# The template2mak.py script should be available in the tools directory of the
# libpqxx source archive.
#
# Generated from template './test/unit/CMakeLists.txt.template'.
################################################################################
if(NOT PostgreSQL_INCLUDE_DIRS)
    find_package(PostgreSQL REQUIRED)
endif()

# TODO: We're giving exact filenames here.  Don't pretend they're globs.
file(
    GLOB UNIT_TEST_SOURCES
    runner.cxx
    test_array.cxx
    test_binarystring.cxx
    test_cancel_query.cxx
    test_cursor.cxx
    test_encodings.cxx
    test_error_verbosity.cxx
    test_errorhandler.cxx
    test_escape.cxx
    test_exceptions.cxx
    test_float.cxx
    test_notification.cxx
    test_parameterized.cxx
    test_pipeline.cxx
    test_prepared_statement.cxx
    test_read_transaction.cxx
    test_result_iteration.cxx
    test_result_slicing.cxx
    test_row.cxx
    test_simultaneous_transactions.cxx
    test_sql_cursor.cxx
    test_stateless_cursor.cxx
    test_stream_from.cxx
    test_stream_to.cxx
    test_string_conversion.cxx
    test_subtransaction.cxx
    test_test_helpers.cxx
    test_thread_safety_model.cxx
    test_transaction_base.cxx
    test_transactor.cxx
)

add_executable(unit_runner ${UNIT_TEST_SOURCES})
target_link_libraries(unit_runner PUBLIC pqxx_shared)
target_include_directories(unit_runner PRIVATE ${PostgreSQL_INCLUDE_DIRS})
add_test(
    NAME unit_runner
    WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
    COMMAND unit_runner)

=== debian/changelog ===
libpqxx (6.4.5-2) unstable; urgency=medium

  * Source only upload to allow migration from unstable to testing

 -- Marcin Kulisz <debian@kulisz.net>  Thu, 26 Sep 2019 13:21:28 +0100

libpqxx (6.4.5-1) unstable; urgency=medium

  * New upstream 6.4.5
    - quite a lot of changes for exact information please have a look at the
      /usr/share/doc/libpqxx-6.4/NEWS.gz
  * Adjusting packaging for upstream 6.4
  * Removing Replaces & Breaks from the binary
  * Migrating to debhelper 12 specific debhelper-compat mode and std-ver bum
    to 4.4.0
  * d/control fixing readability
  * Added graphviz to build-indep
  * Python3 patch for upstream python build tooling
  * Migrating build system to py3 (Closes: #936903)

 -- Marcin Kulisz <debian@kulisz.net>  Fri, 30 Aug 2019 21:11:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Kulisz <debian@kulisz.net>
-Build-Depends: debhelper (>= 11.0),
- libpq-dev (>= 8.0.3),
- chrpath,
- libtool,
- python-all,
- autoconf-archive
-Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               libpq-dev (>= 8.0.3),
+               chrpath,
+               libtool,
+               python3-all,
+               autoconf-archive
+Build-Depends-Indep: doxygen,
+                     xmlto,
+                     graphviz
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/
@@ -19,9 +21,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- pkg-config,
- libpq-dev (>= 8.0.3-1),
- libpqxx-6.2 (= ${binary:Version})
+         pkg-config,
+         libpq-dev (>= 8.0.3-1),
+         libpqxx-6.4 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -43,12 +45,11 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-6.2
+Package: libpqxx-6.4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libpqxx6 (>= 6.2)
-Breaks: libpqxx6 (>= 6.2)
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: C++ library to connect to PostgreSQL
  C++ library to enable user programs to communicate with
  the PostgreSQL database back-end. The database back-end can

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export LIBRARY_VERSION=6.2
+export LIBRARY_VERSION=6.4
 
 %:
 	dh $@

## libpqxx 7.8.1

=== debian/changelog ===
libpqxx (7.8.1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:11:15 +0000

libpqxx (7.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062573

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:39:58 +0000

libpqxx (7.8.1-2) unstable; urgency=medium

  * Previous version was uploaded to experimental.
    This version goes to unstable. No changes.

 -- Teus Benschop <teusbenschop@debian.org>  Sun, 24 Sep 2023 11:37:43 +0200

libpqxx (7.8.1-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New upstream version 7.2.1
  * Removing unused patches
  * Fixing lintian issues
  * d/watch std bump to 4

  [ Teus Benschop ]
  * New upstream version 7.2.1

  [ Christoph Berg ]
  * debian/watch: Look at GitHub tags.

  [ Maarten van Geijn ]
  * New upstream version 7.8.1 (Closes: #1003724, #1046966, #975000)
    - Developers using this version please beware of API changes since
      Last version shipped with Debian.
      See https://github.com/jtv/libpqxx/releases for more information.
  * Solve lintian warnings indicated by Debian Janitor.

 -- Maarten van Geijn <debian@mvangeijn.nl>  Thu, 31 Aug 2023 10:12:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: libpqxx
 Section: libs
 Priority: optional
-Maintainer: Marcin Kulisz <debian@kulisz.net>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
+Uploaders: Marcin Kulisz <debian@kulisz.net>,
+           Teus Benschop <teusbenschop@debian.org>,
+	   Maarten van Geijn <debian@mvangeijn.nl>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libpq-dev (>= 8.0.3),
                chrpath,
                libtool,
@@ -11,10 +15,11 @@
 Build-Depends-Indep: doxygen,
                      xmlto,
                      graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/
+Rules-Requires-Root: no
 
 Package: libpqxx-dev
 Section: libdevel
@@ -23,7 +28,7 @@
 Depends: ${misc:Depends},
          pkg-config,
          libpq-dev (>= 8.0.3-1),
-         libpqxx-6.4 (= ${binary:Version})
+         libpqxx-7.8t64 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -45,7 +50,10 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-6.4
+Package: libpqxx-7.8t64
+Provides: ${t64:Provides}
+Replaces: libpqxx-7.8
+Breaks: libpqxx-7.8 (<< ${source:Version})
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export LIBRARY_VERSION=6.4
+export LIBRARY_VERSION=7.2
 
 %:
 	dh $@

## libpqxx 7.9.1

=== doc/CMakeLists.txt ===
find_program(HAVE_DOXYGEN doxygen)

set(PQXXVERSION "${CMAKE_PROJECT_VERSION}")
set(top_srcdir "${PROJECT_SOURCE_DIR}")
set(PQXX_ABI "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
set(PQXX_MAJOR "${PROJECT_VERSION_MAJOR}")
set(PQXX_MINOR "${PROJECT_VERSION_MINOR}")

add_custom_target(build-docs ALL
    COMMAND cp -r ${CMAKE_CURRENT_SOURCE_DIR}/../src/*.[ch]xx ../src/
    COMMAND cp -r ${CMAKE_CURRENT_SOURCE_DIR}/../include/pqxx/* ../include/pqxx/
    COMMAND doxygen ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile
    COMMENT Building documentation
)

install(
    DIRECTORY doxygen-html
    DESTINATION ${CMAKE_INSTALL_DOCDIR}/html
)

=== doc/requirements.txt ===
# XXX: Pin versions.
dia
graphviz
sphinx-rtd-theme
myst-parser

=== debian/changelog ===
libpqxx (7.9.1-2) unstable; urgency=medium

  * Upload to unstable after transition ACK.

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 10 Jul 2024 20:27:49 +0200

libpqxx (7.9.1-1) unstable; urgency=medium

  [ Maarten van Geijn <debian@mvangeijn.nl> ]
  * New upstream version 7.9.1
  * Further version increases (fix)
  * Enable documentation
  * Since t64 is common now, remove the special package name
  * Fix lintian errors
  * Solve build error
  * Add doxygen build dependency again (was missed in previous commit.
  * Remove t64 Provides
  * Try to persuade the autobuilder to skip the documentation for the binary packages.

 --  Maarten van Geijn <debian@mvangeijn.nl>  Wed, 10 Jul 2024 19:56:32 +0200

libpqxx (7.8.1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 23:15:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libpqxx
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
 Uploaders: Marcin Kulisz <debian@kulisz.net>,
            Teus Benschop <teusbenschop@debian.org>,
-	   Maarten van Geijn <debian@mvangeijn.nl>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+           Maarten van Geijn <debian@mvangeijn.nl>
+Build-Depends: debhelper-compat (= 13),
                libpq-dev (>= 8.0.3),
                chrpath,
                libtool,
@@ -26,9 +25,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         pkg-config,
+         pkgconf,
          libpq-dev (>= 8.0.3-1),
-         libpqxx-7.8t64 (= ${binary:Version})
+         libpqxx-7.9 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -50,10 +49,8 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-7.8t64
-Provides: ${t64:Provides}
-Replaces: libpqxx-7.8
-Breaks: libpqxx-7.8 (<< ${source:Version})
+Package: libpqxx-7.9
+Replaces: libpqxx-7.9
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,19 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export LIBRARY_VERSION=7.2
+export LIBRARY_VERSION=7.9
 
 %:
 	dh $@
 
 override_dh_auto_configure-arch:
-	dh_auto_configure -- --enable-shared --disable-documentation
+	dh_auto_configure -- --enable-shared
 
 override_dh_auto_configure-indep:
 	dh_auto_configure -- --enable-shared
 
 override_dh_auto_build-indep:
-	cd $(CURDIR)/doc/ && make && doxygen
+	cd $(CURDIR)/doc/ && doxygen
 	find -type f -iname "*.md5" -delete
 
 override_dh_auto_test:
